### Method

# Adw Dialog close

since: 1.5

#### Declaration [src]

    gboolean
    adw_dialog_close (
      AdwDialog* self
    )

#### Description [src]

Attempts to close `self`.

If the `AdwDialog:can-close` property is set to `FALSE`, the `AdwDialog::close-attempt` signal is emitted.

See also: `adw_dialog_force_close()`.

Available since: 1.5

#### Return value

Type: `gboolean`

Whether `self` was successfully closed.